<!DOCTYPE html>
<html lang="en">

<head>

    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">

    <!-- Meta -->
    <meta name="description" content="Crowdsoft Login">
    <meta name="author" content="BootstrapDash">

    <title>CROWDSOFT simplycollect</title>


    <!-- vendor css -->
    <link href="/style-global/lib/fontawesome-free/css/all.min.css?v=[cs_version]" rel="stylesheet">
    <link href="/style-global/lib/ionicons/css/ionicons.min.css?v=[cs_version]" rel="stylesheet">
    <link href="/style-global/lib/typicons.font/typicons.css?v=[cs_version]" rel="stylesheet">

    <!-- azia CSS -->
    <link href='https://cdn.jsdelivr.net/npm/froala-editor@3.2.0/css/froala_editor.pkgd.min.css' rel='stylesheet' type='text/css'/>
    <link href="https://cdn.jsdelivr.net/npm/froala-editor@3.2.0/css/froala_style.min.css" rel="stylesheet" type="text/css"/>
    <link rel="stylesheet" href="./css/azia.css?v=[cs_version]">
    <link rel="stylesheet" href="./css/site.css?v=[cs_version]">
    <link href="https://cdn.jsdelivr.net/npm/froala-editor@3.2.0/css/themes/dark.min.css" rel="stylesheet" type="text/css"/>


</head>

<body id="page-top">
{% include 'snippets/pb-loader.tpl' %} 

<div id="contentwrapper" style="display:none;">

    <div class="az-header az-header-dashboard-collect">
        <div class="container-fluid">
            <div class="az-header-left">
                <a href="index.html" class="az-logo"> <img class="az-logo" src="./img/global/crowdsoft_logo.gif"
                                                           alt="CROWDSOFT"><span class=" navbar-brand tx-22 font-weight-bold">&nbsp; simplycollect </span></a>
                <a href="" id="azMenuShow" class="az-header-menu-icon d-lg-none"><span></span></a>
                <span class="d-lg-none navbar-brand tx-18 font-weight-bold">simplycollect</span>
            </div><!-- az-header-left -->
            <div class="az-header-menu">
                <div class="az-header-menu-header">
                    <a href="index.html" class="az-logo"><span></span> <img class="az-logo"
                                                                            src="./img/global/crowdsoft_logo.gif" alt="CROWDSOFT"></a>
                    <a href="" class="close">&times;</a>
                </div><!-- az-header-menu-header -->
                <ul class="nav">
                    <li class="nav-item active show">
                        <a href="#" class="nav-link" id="trader_name"><i class="fas fa-store pd-r-10"></i><span
                                data-i18n="merchant_name"></span></a>
                    </li>
                    <!--li class="nav-item">
                        <a href="" class="nav-link with-sub"><i class="typcn typcn-folder"></i>Optionen</a>
                        <div class="az-menu-sub" id="appmenu">
                            <nav class="nav">
                                <a href="#" id="language_change_test" class="nav-link">Sprache ändern</a>
                            </nav>
                        </div>
                    </li-->
                </ul>
            </div><!-- az-header-menu -->
            <div class="az-header-right">
                <div class="dropdown az-profile-menu">
                    <a href="" class="az-img-user  tx-20 mg-b-5">
                        <i class="fas fa-store text-dark"></i>
                    </a><!-- az-icon-user -->
                    <div class="dropdown-menu">
                        <div class="az-dropdown-header d-sm-none">
                            <a href="" class="az-header-arrow"><i class="icon ion-md-arrow-back"></i></a>
                        </div>
                        <div class="az-header-profile">
                            <div class="az-img-user">
                                <div class="az-avatar avatar-xl online" id="user_ISOA2"><span
                                        data-i18n="merchant_name"></span></div>
                            </div><!-- az-img-user -->
                            <h6><span data-i18n="merchant_name"></span></h6>
                        </div><!-- az-header-profile -->
                        <!--a href="./account.html" class="dropdown-item"><i class="typcn typcn-edit"></i>
                            Account Einstellungen</a>
                        <a href="#" onclick="changePasswordDialog();" class="dropdown-item"><i class="typcn typcn-edit"></i>
                            Passwort ändern</a-->
                        <a id="logout" href="#" onclick="logout();return false;" class="dropdown-item"><i
                                class="typcn typcn-power-outline"></i>Abmelden</a>
                    </div><!-- dropdown-menu -->
                </div><!-- az-header-right -profile-menu -->
            </div><!-- az-header-right -->
        </div><!-- container -->
    </div><!-- az-header -->


    <div class="az-content-dashboard-collect">

        <div class="az-content-body">
            <div class="az-content-body-left">
                <div class="d-flex justify-content-between align-items-center  mg-b-20">

                </div><!-- welcome text-->

                <div class=" row row-sm">
                    <div class="col-lg-6 ">
                        <div class="chat-area " id="jitsi">
                            <div id="video_container" class="video-chat pd-b-20">
                                <div class="card card-dashboard-twentyfour">
                                    <div class="card-header">
                                        <h6 class="az-content-label">Video Chat</h6>
                                        Anzeige-Name: <input id="meetName" type="text" value=""/>
                                        <button class="btn btn-az-primary pd-x-20" id="lobbyModeButton" data-lockedState="false">Raum schließen</button>
                                        <span><i class="fas fa-expand"
                                                 onclick="document.querySelector('iframe').requestFullscreen();"></i></span>

                                    </div><!-- card-header -->
                                    <div class="card-body">
                                        <div id="meet" class="embed-responsive embed-responsive-4by3">

                                        </div>
                                    </div><!-- card-body -->
                                </div><!-- card video-->
                            </div>
                        </div><!-- chat-area-->
                    </div><!-- col -->
                    <div class="col-lg-6 mg-t-20 mg-lg-t-0" id="Warenkorb">
                        <div id="azCollectCart" class="card card-table-collect">
                            <label class="az-content-label az-content-label-sm">Protokoll</label>
                            <span><button class="btn btn-az-primary pd-x-20" id="resubmitEditorContent">Send Update</button></span>
                            <div id="editorTypeStatus">&nbsp;</div>
                            <div id="example" class="responsive overflow-auto">

                            </div><!-- table-responsive -->

                            <!--div id="preview" class="fr-view dark-theme fr-wrapper">
                                Here comes the HTML edited with the Froala rich text editor.
                            </div-->
                        </div><!-- card-dashboard-five warenkorb -->
                    </div><!-- col -->

                </div><!-- row -->
            </div><!-- az-content-body-left -->

        </div><!-- az-content-body -->

        {% include 'snippets/copyRight.tpl' %}
        <!-- az-footer -->
        
    </div><!-- az-content -->

</div><!-- contentwrapper  -->

<script src="/style-global/lib/jquery/jquery.min.js?v=[cs_version]"></script>
<script src="/style-global/lib/bootstrap/js/bootstrap.bundle.min.js?v=[cs_version]"></script>
<script type="module" src="/style-global/lib/ionicons/ionicons/ionicons.esm.js?v=[cs_version]"></script>
<script nomodule="" src="/style-global/lib/ionicons/ionicons/ionicons.js?v=[cs_version]"></script>
<script src="./js/azia.js?v=[cs_version]"></script>
<script type='text/javascript' src='https://cdn.jsdelivr.net/npm/froala-editor@3.2.0/js/froala_editor.pkgd.min.js'></script>
<script type='text/javascript' src='https://cdn.jsdelivr.net/npm/froala-editor@3.2.0/js/plugins/video.min.js'></script>
<script type="text/javascript" src="https://raw.githack.com/eKoopmans/html2pdf/master/dist/html2pdf.bundle.js"></script>

<script defer type="module">import {pbBrain} from './js/pbjs/pb-brain.js?v=[cs_version]';

new pbBrain().boot("meet-circuit");</script>

<script defer type="module">
    import {fireEvent, getCookie,setCookie, getQueryParam} from './js/pbjs/pb-functions.js?v=[cs_version]';
    import {CONFIG} from './js/pb-config.js?v=[cs_version]';
    if(getQueryParam("k")) {
        document.cookie = "apikey=" + getQueryParam("k");
    }
    if(getQueryParam("u")) {
        document.cookie = "username=" + getQueryParam("u");
    }
    if(getQueryParam("c")) {
        document.cookie = "consumer_name=" + getQueryParam("c");
    }
    console.log("CONFIG", CONFIG)
    let room = "tmp_" + getQueryParam("sid")
    var editor = new FroalaEditor('#example', {
        pluginsEnabled: ['align', 'charCounter', 'codeBeautifier', 'codeView', 'colors'
            , 'draggable', 'embedly', 'emoticons', 'entities', 'file', 'fontAwesome', 'fontFamily'
            , 'fontSize', 'fullscreen', 'image', 'imageTUI', 'inlineStyle', 'inlineClass'
            , 'lineBreaker', 'lineHeight', 'link', 'lists', 'paragraphFormat', 'paragraphStyle'
            , 'quickInsert', 'quote', 'save', 'table', 'url', 'video', 'wordPaste'],
        imageUpload: true,
        imagePaste: true,
        fileUploadURL: CONFIG.API_BASE_URL + '/froala/upload_file?apikey=' + getCookie("apikey"),
        imageUploadURL: CONFIG.API_BASE_URL + '/froala/upload_image?apikey=' + getCookie("apikey"),
        videoUploadURL: CONFIG.API_BASE_URL + '/froala/upload_video?apikey=' + getCookie("apikey"),
        iframe: false,
        theme: 'dark',
        heightMin: 400,
        events: {
            keyup: function () {
                //$('#preview').html(this.html.get());
                this.selection.save();

                fireEvent("protocolUpdate", {
                    protocolContent: this.html.get(true),
                    editorName: getCookie("username")
                }, room)
            },
            contentChanged: function () {
                //$('#preview').html(this.html.get());
                this.selection.save();
                fireEvent("protocolUpdate", {
                    protocolContent: this.html.get(true),
                    editorName: getCookie("username")
                }, room)
            },
            'image.beforeUpload': function (images) {
                // Return false if you want to stop the image upload.
                console.log("IMAGES", images)
                return true
            },
            'image.uploaded': function (response) {
                console.log("IMAGES UPLOADED", response)
                // Image was uploaded to the server.
            },
            'image.inserted': function ($img, response) {
                console.log("IMAGES INSERTED", $img, response)
                // Image was inserted in the editor.
            },
            'image.replaced': function ($img, response) {
                console.log("IMAGES REPLACED", $img, response)
                // Image was replaced in the editor.
            },
            'image.error': function (error, response) {
                console.log("IMAGES ERROR", error, response)
                // Bad link.
                if (error.code == 1) {
                }

                // No link in upload response.
                else if (error.code == 2) {
                }

                // Error during image upload.
                else if (error.code == 3) {
                }

                // Parsing response failed.
                else if (error.code == 4) {
                }

                // Image too text-large.
                else if (error.code == 5) {
                }

                // Invalid image type.
                else if (error.code == 6) {
                }

                // Image can be uploaded only to same domain in IE 8 and IE 9.
                else if (error.code == 7) {
                }

                // Response contains the original server response to the request if available.
            }
        }
    })
    $("#resubmitEditorContent").click(function () {
        fireEvent("protocolUpdate", {
            protocolContent: editor.html.get(true),
            editorName: getCookie("username")
        }, getCookie("consumer_name"))
    });

</script>


</body>

</html>

